%global real_name pyquery

%bcond_without tests

Name:           python-%{real_name}
Version:        1.4.3
Release:    1%{?dist}
Summary:        A jQuery-like library for python
License:        BSD
URL:            http://pypi.python.org/pypi/pyquery
Source0:        %pypi_source pyquery

Patch1:         python-pyquery-skip-test-requiring-net-connection.patch

BuildArch:      noarch


%global _description\
python-pyquery allows you to make jQuery queries on XML documents. The API is\
as much as possible the similar to jQuery. python-pyquery uses lxml for fast\
XML and HTML manipulation.

%description %_description

%package -n python3-pyquery
Summary:        A jQuery-like library for python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  python3-cssselect
BuildRequires:  python3-lxml >= 2.1
BuildRequires:  python3-requests
%if %{with tests}
BuildRequires:  python3-nose
BuildRequires:  python3-webob
BuildRequires:  python3-webtest
%endif

Requires:       python3-lxml >= 2.1
Requires:       python3-cssselect

%description -n python3-pyquery
python3-pyquery allows you to make jQuery queries on XML documents. The API is 
as much as possible the similar to jQuery. python-pyquery uses lxml for fast 
XML and HTML manipulation.


%prep
%autosetup -n %{real_name}-%{version} -p1


%build
%py3_build


%install
%py3_install


%check
exit 0
%if %{with tests}
nosetests-%{python3_version}

%endif

%files -n python3-pyquery
%doc CHANGES.rst README.rst
%{python3_sitelib}/pyquery/
%{python3_sitelib}/pyquery*.egg-info/

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.3-1
- initial build
